Public Repository

Last pushed: 2 years ago
Short Description
Short description is empty for this repo.
Full Description

`FROM ubuntu:14.04
RUN locale-gen en_US.UTF-8
ENV LC_ALL en_US.UTF-8
ENV LANG en_US.UTF-8
ENV LC_CTYPE en_US.UTF-8
RUN apt-get update -y -o DPkg::Options::=--force-confold && apt-get upgrade -y -o DPkg::Options::=--force-confold
RUN apt-get install -y -o DPkg::Options::=--force-confold git python2.7 python2.7-dev python-pip gettext libxml2-dev libxslt1-dev libmysqlclient-dev mysql-client libpq-dev postgresql-client build-essential mongodb-clients

#WeasyPrint
RUN apt-get install -y -o DPkg::Options::=--force-confold libffi-dev libcairo2 libpango1.0-dev

Pil

RUN apt-get install -y -o DPkg::Options::=--force-confold libjpeg-dev

#See http://stackoverflow.com/questions/8915296/python-image-library-fails-with-message-decoder-jpeg-not-available-pil/10109941#10109941
RUN ln -s /usr/lib/x86_64-linux-gnu/libjpeg.so /usr/lib
RUN ln -s /usr/lib/x86_64-linux-gnu/libfreetype.so /usr/lib
RUN ln -s /usr/lib/x86_64-linux-gnu/libz.so /usr/lib

#See http://stackoverflow.com/questions/20325473/error-installing-python-image-library-using-pip-on-mac-os-x-10-9
RUN ln -s /usr/include/freetype2 /usr/local/include/freetype

RUN apt-get install -y -o DPkg::Options::=--force-confold graphicsmagick ghostscript libcurl4-gnutls-dev libmemcached-dev xvfb

#wkhtmltox
RUN apt-get install -y -o DPkg::Options::=--force-confold wget
RUN wget http://downloads.sourceforge.net/project/wkhtmltopdf/0.12.2.1/wkhtmltox-0.12.2.1_linux-trusty-amd64.deb
RUN dpkg -i wkhtmltox-0.12.2.1_linux-trusty-amd64.deb || apt-get -y -f install
RUN rm wkhtmltox-0.12.2.1_linux-trusty-amd64.deb

RUN pip install uwsgi

RUN pip install https://bitbucket.org/dbenamy/devcron/get/a8555e317042.zip

https://docs.djangoproject.com/en/1.8/ref/contrib/gis/install/geolibs/#geos for PostGIS

#RUN cd /root && wget http://download.osgeo.org/geos/geos-3.3.8.tar.bz2 && tar xjf geos-3.3.8.tar.bz2 && cd geos-3.3.8 && ./configure && make && make install && ldconfig

https://docs.djangoproject.com/en/1.8/ref/contrib/gis/install/geolibs/

RUN apt-get install -y -o DPkg::Options::=--force-confold binutils libproj-dev gdal-bin

RUN easy_install -U pip`

RUN locale-gen de_DE.UTF-8 && update-locale

Docker Pull Command
Owner
mediasapiens

Comments (0)